"use strict";
const meta_1 = require("../meta");
function init(parser) {
    parser.on('dom:ready', validate);
}
function validate(event, report) {
    const doc = event.document;
    doc.visitDepthFirst((node) => {
        const parent = node.parent;
        if (!parent.meta) {
            return;
        }
        const rules = parent.meta.permittedContent;
        const numSiblings = parent.children.filter(cur => cur.tagName === node.tagName).length;
        if (parent.meta && !meta_1.Validator.validateOccurrences(node, rules, numSiblings)) {
            report(node, `Element <${node.tagName}> can only appear once under <${parent.tagName}>`);
        }
    });
}
module.exports = {
    name: 'element-permitted-occurrences',
    init,
};
