"use strict";
function init(parser) {
    parser.on('attr', (event, report) => {
        const node = event.target;
        const meta = node.meta;
        const attr = event.key.toLowerCase();
        if (meta === null) {
            return;
        }
        const deprecated = meta.deprecatedAttributes || [];
        if (deprecated.indexOf(attr) >= 0) {
            report(node, `Attribute "${event.key}" is deprecated on <${node.tagName}> element`);
        }
    });
}
module.exports = {
    name: 'no-deprecated-attr',
    init,
};
