"use strict";
const dom_1 = require("../dom");
function init(parser) {
    parser.on('attr', (event, report) => {
        if (event.key.toLowerCase() !== 'class') {
            return;
        }
        const classes = new dom_1.DOMTokenList(event.value);
        const unique = new Set();
        classes.forEach(cur => {
            if (unique.has(cur)) {
                report(event.target, `Class "${cur}" duplicated`, event.location);
            }
            unique.add(cur);
        });
    });
}
module.exports = {
    name: 'no-dup-class',
    init,
};
