"use strict";
const dom_1 = require("../dom");
function init(parser) {
    parser.on('tag:close', (event, report) => {
        const closed = event.previous;
        const by = event.target;
        if (closed.closed !== dom_1.NodeClosed.ImplicitClosed) {
            return;
        }
        if (!by) {
            return;
        }
        const closedByParent = closed.parent.tagName === by.tagName;
        if (closedByParent) {
            report(closed, `Element <${closed.tagName}> is implicitly closed by parent </${by.tagName}>`, closed.location);
        }
        else {
            report(closed, `Element <${closed.tagName}> is implicitly closed by sibling`, closed.location);
        }
    });
}
module.exports = {
    name: 'no-implicit-close',
    init,
};
